Additional operations
Aggregate insights
Aggregate insights
curl --request POST \
--url https://api.atlan.com/eval/v1/insights/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: '<string>'})
};
fetch('https://api.atlan.com/eval/v1/insights/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/insights/aggregate"
payload = { "workspace_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"is_truncated": true,
"items": [
{
"agent_versions": [
{
"agent_id": "<string>",
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
},
"agent_version": 123
}
],
"answer_type": "choice",
"choices": [
"<string>"
],
"days": [
{
"date": "2023-12-25",
"is_complete": true,
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
}
}
],
"end_date": "2023-12-25",
"is_agent_versions_truncated": true,
"is_days_truncated": true,
"is_scorer_versions_truncated": true,
"is_total_truncated": true,
"is_truncated": true,
"scorer_id": "<string>",
"scorer_name": "<string>",
"scorer_versions": [
{
"scorer_version": 123,
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
}
}
],
"start_date": "2023-12-25",
"workspace_id": "<string>",
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
},
"agent_id": "<string>",
"scorer_version": 123
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
⌘I
Aggregate insights
curl --request POST \
--url https://api.atlan.com/eval/v1/insights/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: '<string>'})
};
fetch('https://api.atlan.com/eval/v1/insights/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/insights/aggregate"
payload = { "workspace_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"is_truncated": true,
"items": [
{
"agent_versions": [
{
"agent_id": "<string>",
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
},
"agent_version": 123
}
],
"answer_type": "choice",
"choices": [
"<string>"
],
"days": [
{
"date": "2023-12-25",
"is_complete": true,
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
}
}
],
"end_date": "2023-12-25",
"is_agent_versions_truncated": true,
"is_days_truncated": true,
"is_scorer_versions_truncated": true,
"is_total_truncated": true,
"is_truncated": true,
"scorer_id": "<string>",
"scorer_name": "<string>",
"scorer_versions": [
{
"scorer_version": 123,
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
}
}
],
"start_date": "2023-12-25",
"workspace_id": "<string>",
"answer_count": 123,
"choice_counts": [
{
"answer_count": 123,
"choice": "<string>"
}
],
"failed_count": 123,
"matching_answer_count": 123,
"other_answer_count": 123,
"pass_rate": 123,
"passed_count": 123,
"score_statistics": {
"score_count": 123,
"max": 123,
"mean": 123,
"min": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"sum": 123
},
"agent_id": "<string>",
"scorer_version": 123
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}